package com.ecep.contract;

/**
 * 付款方式
 */
public enum ContractPayWay {

    /**
     * 付款方式，对应采购合同
     */
    PAY("付"),
    /**
     * 收款方式, 对应销售合同
     */
    RECEIVE("收"),

    /**
     * 其他方式，对应框架协议等
     */
    OTHER("其他");


    private final String text;

    ContractPayWay(String text) {
        this.text = text;
    }

    public static ContractPayWay valueOfText(String way) {
        for (ContractPayWay value : values()) {
            if (value.getText().equals(way)) {
                return value;
            }
        }
        return null;
    }

    public String getText() {
        return text;
    }
}
